package response

import (
	"eta/eta_chart_lib/models/data_manage/excel"
	"time"
)

// FindExcelInfoResp 根据名称获取excel的信息
type FindExcelInfoResp struct {
	IsFind    bool               `description:"是否存在同名文件"`
	ExcelInfo FindExcelInfo      `description:"表格详情"`
	SheetList []*excel.SheetItem `description:"sheet列表"`
}

// FindExcelInfo excel的数据详情
type FindExcelInfo struct {
	ExcelInfoId     int                   `orm:"column(excel_info_id);pk"`
	Source          int                   `description:"表格来源，1：excel插件的表格，2：自定义表格，默认：1"`
	ExcelType       int                   `description:"表格类型，1：指标列，2：日期列，默认：1"`
	ExcelName       string                `description:"表格名称"`
	UniqueCode      string                `description:"表格唯一编码"`
	ExcelClassifyId int                   `description:"表格分类id"`
	SysUserId       int                   `description:"操作人id"`
	SysUserRealName string                `description:"操作人真实姓名"`
	ExcelImage      string                `description:"表格图片"`
	FileUrl         string                `description:"表格下载地址"`
	Sort            int                   `description:"排序字段，数字越小越排前面"`
	ModifyTime      time.Time             `description:"最近修改日期"`
	CreateTime      time.Time             `description:"创建日期"`
	Button          ExcelInfoDetailButton `description:"操作权限"`
	CanEdit         bool                  `description:"是否可编辑"`
	Editor          string                `description:"编辑人"`
	HaveOperaAuth   bool                  `description:"是否有数据权限，默认：false"`
}
