package request

import (
	"eta/eta_chart_lib/models"
)

type EditChartEnInfoReq struct {
	ChartInfoId int    `description:"图表ID"`
	ChartNameEn string `description:"英文图表名称"`
	UnitEn      string `description:"英文单位"`
}

// ChartInfoReq 图表预览请求数据
type ChartInfoReq struct {
	FutureGoodEdbInfoIdList []EdbInfoFromTag   `description:"指标信息"`
	CalculateFormula        string             `description:"计算公式"`
	BaseEdbInfoId           int                `description:"基础的指标id"`
	DateList                []ChartInfoDateReq `description:"日期配置"`
	ProfitNameEn            string             `description:"利润英文名称"`
	EdbInfoIdList           []int              `description:"现货指标ID列表"`
	XDataList               []models.XData     `description:"横轴配置"`
}

// EdbInfoFromTag 计算指标的关联指标
type EdbInfoFromTag struct {
	EdbInfoId int    `description:"指标id"`
	FromTag   string `description:"指标对应标签"`
	MoveValue int    `description:"移动的值"`
}

// ChartInfoDateReq 图表的日期数据（日期相关）
type ChartInfoDateReq struct {
	Type  int    `description:"配置类型"`
	Date  string `description:"固定日期"`
	Value int    `description:"N天的值"`
	Color string `description:"颜色"`
	Name  string `description:"别名"`
}
