package request

type TableDataReq struct {
	EdbInfoIdList []int             `description:"指标id列表，从左至右，从上到下的顺序"`
	Sort          int               `description:"日期排序，1：倒序，2：正序"`
	Data          []EdbInfoData     `description:"数据列表"`
	TextRowData   [][]ManualDataReq `description:"文本列表"`
}

type EdbInfoData struct {
	EdbInfoId    int             `description:"指标ID"`
	Tag          string          `description:"标签"`
	EdbName      string          `description:"指标名称"`
	EdbNameEn    string          `description:"英文指标名称"`
	EdbAliasName string          `description:"指标别名"`
	Frequency    string          `description:"频度"`
	Unit         string          `description:"单位"`
	UnitEn       string          `description:"英文单位"`
	Data         []ManualDataReq `description:"单元格数据列表"`
}

type ManualDataReq struct {
	DataType            int               `description:"数据类型，1：普通的，2：插值法，3：手动输入，4：公式计算，5：预测值"`
	DataTime            string            `description:"所属日期"`
	DataTimeType        int               `description:"日期类型，1：实际日期；2：未来日期"`
	ShowValue           string            `description:"展示值"`
	Value               string            `description:"实际值（计算公式）"`
	RelationEdbInfoList []RelationEdbInfo `description:"关联指标（计算公式中关联的指标，用于计算的时候去匹配）"`
}

type RelationEdbInfo struct {
	Tag string `description:"指标标签"`
	Row string `description:"第几行"`
}
