// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_chart_lib/controllers"
	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/v1",
		web.NSNamespace("/chart",
			web.NSInclude(
				&controllers.ChartController{},
			),
		),
		web.NSNamespace("/chart_auth",
			web.NSInclude(
				&controllers.ChartAuthController{},
			),
		),
		web.NSNamespace("/table",
			web.NSInclude(
				&controllers.TableController{},
			),
		),
		web.NSNamespace("/excel_info",
			web.NSInclude(
				&controllers.ExcelInfoController{},
			),
		),
	)
	web.AddNamespace(ns)
}
